<?php

require_once 'bs_info.php';
require_once '../../../../app/model/bs_info_col.php';
require_once("../../../../dompdf/dompdf_config.inc.php");

require_once '../rangos.php';

date_default_timezone_set("America/Bogota");
 
$codigo = $_REQUEST['codigo'];
$grado = $_REQUEST['grado'];
$curso = $_REQUEST['curso'];
$periodo = $_REQUEST['periodo'];

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".00";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

function valoracion($c){
    
   /* 
    if($c=='B&aacute;SICO'){
        
        return 'B';
        
    }else if($c=='BASICO'){
        
        return 'B';
        
    }else if($c=='BAJO'){
       
        return 'b';
        
    }else if($c=='ALTO'){
       
        return 'A';
    }else if($c=='SUPERIOR'){
        return 'S';
    }
    
   */
    return $c;
}

///////////////////////////////////////////////

function nota($codigo,$grado,$curso,$periodo){

       $obj = new database();

      $obj->conectar(); $obj->consulta("set names 'utf8'");

      $resultado=$obj->consulta("select curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, curso_asignatura_profesor.asignatura, catalogo.descripcion, curso_asignatura_profesor.intensidad, profesores.nombres
                                from profesores inner join (catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura) on profesores.cedula = curso_asignatura_profesor.profesor
                                where (((curso_asignatura_profesor.grado)='".$grado."') and ((curso_asignatura_profesor.curso)='".$curso."')) order by catalogo.orden");

      $n=$obj->numero_de_filas($resultado);

      if ($n>0){

          $s="";
          $sw="";

          while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

             $notas=$obj->consulta("select boletin.periodo, boletin.asignatura, boletin.grado, boletin.curso, detalleboletin.alumno,detalleboletin.definitiva, detalleboletin.valor_asigna, 
                                   detalleboletin.secuencial, detalleboletin.fallas from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                   where boletin.periodo='".$periodo."' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");
      
               $sw="true";
               
               

               while($row1 = $obj->fetch_assoc($notas)  ){  //  ---  NOTAS  --


                     if ($sw=="true"){

                         $s.="<tr style='font-size:14px'>";
                         $s.="<td>&nbsp;".($row['descripcion'])."</td>";
                         $s.="<td align='center'>".$row['intensidad']."</td>";
            
                         //-----------------------------------------------------
                         if ($periodo=="2"){  // Mostrar la nota de periodos anteriores
                            
                             $p1=$obj->consulta("select detalleboletin.definitiva,detalleboletin.valor_asigna from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='1' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");
                            
                             $nota_p1 = $obj->fetch_assoc($p1);
                             $s.="<td>&nbsp;&nbsp;&nbsp; ".number_format($nota_p1['definitiva'],1)."&nbsp; - &nbsp; ".valoracion($nota_p1['valor_asigna'])."</td>";
                         }

                         //-----------------------------------------------------
                         if ($periodo=="3"){  // Mostrar la nota de periodos anteriores

                             $p1=$obj->consulta("select detalleboletin.definitiva,detalleboletin.valor_asigna from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='1' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p1 = $obj->fetch_assoc($p1);



                             $s.="<td>&nbsp;&nbsp;".number_format($nota_p1['definitiva'],1)."&nbsp;-&nbsp; ".valoracion($nota_p1['valor_asigna'])."</td>";



                             /*---------------------*/
                             $p2=$obj->consulta("select detalleboletin.definitiva,detalleboletin.valor_asigna from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='2' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p2 = $obj->fetch_assoc($p2);
                             $s.="<td>&nbsp;&nbsp;".number_format($nota_p2['definitiva'],1)."&nbsp;-&nbsp; ".valoracion($nota_p2['valor_asigna'])." </td>";
                         }
                   
                         //-----------------------------------------------------

                         $s.="<td>&nbsp;&nbsp;".number_format($row1['definitiva'],1)."&nbsp;-&nbsp; ".valoracion($row1['valor_asigna'])."</td>";
                       
                         $s.="</tr>";

                         $sw="false";
                     }                
              }
          }

          return $s;

      }
      else{
          return "<H1>NO EXISTE</H1>";
      }

          
      $obj->disconnect();
}



/////////////////////////////////////77

    //---------- LEYENDA --------------
    
     $obj = new database();
     $obj->conectar(); $obj->consulta("set names 'utf8'");
     
     
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&aacute;', '&aacute;')"); 
         
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&eacute;', '&eacute;')");  
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&iacute;', '&iacute;')");  
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&oacute;', '&oacute;')");    
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&uacute;', '&uacute;')");     
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&ntilde;', '&ntilde;')");                            
    
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&aacute;', '&Aacute;')");       
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&eacute;', '&Eacute;')");   
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&iacute;', '&Iacute;')");   
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&oacute;', '&Oacute;')");   
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&uacute;', '&Uacute;')");    
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&ntilde;', '&Ntilde;')");    
    
     $leyenda=$obj->consulta("select * from constancia");

     $row15=$obj->fetch_assoc($leyenda);


    //--------------------------------------
$html="
<html>
<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>
<title>CERTIFICADO PARCIAL</title>
</head>

<body>

</center>
<table align='center'>
<tr>

<td>
<img height='100' width='100' src='../../../../fotografias/escudo.jpg'/>&nbsp;&nbsp;&nbsp;
</td>

<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>

<td style='font-size:14px' align='center'>
    <b>REPUBLICA DE COLOMBIA</b><br>
    <b>   DEPARTAMENTO DEL CAQUET&Aacute;</b><br>
       <b>INSTITUCI&Oacute;N EDUCATIVA <br>NUESTRA SE&Ntilde;ORA DE LAS MERCEDES</b><br><br>
       Aprobaci&oacute;n de Estudios Resoluci&oacute;n No. 000519 de 02-11-2007<br>
       Paujil - Caquet&aacute;<br>
       
</td>

<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>

<td>
<img height='120' width='110' src='../../../../fotografias/escudo_colombia.png'/>&nbsp;&nbsp;&nbsp;
</td>

</tr>
</table>"; 

  $registrar=$obj->consulta("select * from registrar");
  $reg=$obj->fetch_assoc($registrar);


$html.="<br><table id='font'  width='90%'  align='center'>
<tr> <td style='font-size:12px'>Registro Educativo:".$reg['registroeducativo']."<br><td align='right' style='font-size:12px'>DANE:".$reg['codigodane']."<br> </td>

</tr>                                   
</table> 

<br><CENTER><b>CERTIFICADO DE TRANSFERENCIA<b></CENTER> ";

$html.="<table id='font'  width='90%'  align='center'>
<tr>
    <td style='font-size:14px'>
    <p align='justify'>".($reg['certificadofinal'])."</p>
    </td>
<tr>
</table>";
    
$html.="<table width='70%' border='0' align='center'>
        <tr><td style='font-size:14px;text-align:center'>  <b>CERTIFICAN</b>  </td></tr>
        </table>


<table id='font' width='90%'  align='center'>
<tr>
    <td style='font-size:14px'>
    <p align='justify'>
        ".($row15['leyenda'])."
    </p>
   </td>
<tr>
</table>";

$html.="<table cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >";

$html.="<tr style='font-size:14px'>";
$html.="<th width='100'>AREAS Y/O ASIGNATURAS</th>";
$html.="<th width='20'>I_H</th>";

if($periodo==1){
   $html.="<th width='50'>P1</th>";
}

if($periodo==2){
   $html.="<th width='50'>P1</th><th width='50'>P2</th>";
}

if($periodo==3){
   $html.="<th width='50'>P1</th><th width='50'>P2</th><th width='50'>P3</th>";
}

 if ($periodo<4)
     $html.=nota($codigo,$grado,$curso,$periodo);

$html.="</table>";


//---ESCALA DE VALORACION --------

$rango=$obj->consulta("SELECT * FROM rangos order by orden");

$html.="<table style='font-size:11px' cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >";
$html.="<tr>";
$html.="<td>ESCALA DE VALORACI&Oacute;N:</td>";

while($row_r=$obj->fetch_assoc($rango)){
      
      if ($row_r['codigo']!='S'){
          $html.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']-0.1).")</td>";
      }else{
          $html.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']).")</td>";
      } 

}
$html.="</tr>";
$html.="</table>";

$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$html.="

<table  width='90%'  align='center' id='font'>
    <tr>
        <td style='font-size:14px'>
            El presente certificado no necesita de autenticaci&oacute;n en Notar&iacute;a alguna ni VoBo del Delegado
            de MEN, en virtud de los decretos 1024/82 y 1789/88, respectivamente.
            
             <br><br>
             Dado en Paujil - Caquet&aacute;, el d&iacute;a ". $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') .".
        </td>
    </tr>

</table>

<br>";

//------------------------------------------------------------------------------------------------

     $param=$obj->consulta("select * from parametros");
     $row=$obj->fetch_assoc($param);



$obj->disconnect();


$html.="<br><br><br><table width='85%' border='0' align='center'>";
$html.="<tr><td><hr width='90%'></td>    <td><hr width='90%'></td></tr>";

$html.="<tr><td style='font-size: 14px; text-align:center;'><b>".($row['rector'])."</b></td>     
            <td style='font-size: 14px; text-align:center;'><b>".($row['secretario'])."</b></td></tr>";

$html.="<tr><td style='font-size: 14px; text-align:center;'>".($row['cedula_rector'])."</td>     
            <td style='font-size: 14px; text-align:center;'>".($row['cedula_secretario'])."</td></tr>";

$html.="<tr><td style='font-size: 12px; text-align:center;'>RECTOR</td>     
            <td style='font-size: 12px; text-align:center;'>SECRETARIA</td></tr>";

$html.="</table>";  


$html.="</body>
</html>";

//echo $html;

$dompdf = new DOMPDF();
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream("certificado_parcial.pdf", array("Attachment" => false));

?>
